ls {pbdZMQ} | R Documentation

## A wrapper function for base::ls

### Description

The `ls()` function with modification to avoid listing hidden pbd objects.

### Usage

    ls(name, pos = -1L, envir = as.environment(pos), all.names = FALSE,
      pattern, sorted = TRUE)

### Arguments

`name, pos, envir, all.names, pattern, sorted` | as the original `base::ls()`.

### Details

As the original `base::ls()`, it returns the names of the objects.

### Value

As the original `base::ls()` except when `all.names` is `TRUE` and `envir` is `.GlobalEnv`, hidden pbd objects such as `.pbd_env` and `.pbdenv` will not be returned.

### Author(s)

Wei-Chen Chen wccsnow@gmail.com.

### Examples

    ## Not run:
    library(pbdRPC, quietly = TRUE)
    ls(all.names = TRUE)
    base::ls(all.names = TRUE)

    ## End(Not run)

[Package pbdZMQ version 0.2-6 Index]